Subject: bug#27161: COLOSSAL CAVE!

From: ng0 <[email-masked]>
Date: Thu, 1 Jun 2017 21:41:32 +0000

Ricardo Wurmus transcribed 1.1K bytes:
> 
> Hi,
> 
> ng0 <[email-masked]> writes:
> 
> >> > Have a piece of interactive fiction history:
> >> > This adds 'open-adventure', a port of Collosal Cave
> >> > just recently released under BSD-2 license.
> >
> >> I have just received feedback on the bug report, the parallel building
> >> bug might be solved. I'm sending an updated patch soon.
> >
> > This commit is more recent and includes the fix for bug #4.
> 
> This didn’t build for me:
> 
> --8<---------------cut here---------------start------------->8---
> starting phase `build'
> gcc     compile.c   -o compile
> ./compile
> ./compile
> gcc -std=c99 -O  -c database.c
> gcc -std=c99 -O  -c database.c
> database.c:1465:3: error: expected expression at end of input
>    18046, 17007, 17038, 17044, 19010, 19030, 19045, 150022029, 150022031, 150022034, 
>    ^
> make: *** [Makefile:38: database.h] Error 1
> make: *** Waiting for unfinished jobs....
> phase `build' failed after 0.9 seconds
> --8<---------------cut here---------------end--------------->8---
> 
> I had to disable parallel builds.  I made a couple of changes and pushed
> it with commit dec63df4f.

Strange... For me it worked. So maybe bug number 4 upstream isn't fixed yet.
Builds here happen with 8+ processes in parallel I think
and with 6 or more the bug was visible.

> Thanks!
> 
> -- 
> Ricardo
> 
> GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
> https://elephly.net
> 
> 

-- 
ng0
OpenPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588